# GET /approvals

**Resource:** [Approvals](./approvals.md)  
**Scopes:** _none_  
**Write operation:** no

List pending (or all) approval requests for the company.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `status` | query | string | no | Filter by status: pending (default), approved, rejected, expired, or all |
| `limit` | query | number | no | Max results per page (default 25, max 100) |

## Response example

```json
{
  "data": [
    {
      "id": "f1a2b3c4-...",
      "company_id": "ebeff86e-...",
      "api_key_id": "key-uuid",
      "resource": "contacts",
      "action": "write",
      "method": "POST",
      "path": "/contacts",
      "status": "pending",
      "request_body": { "first_name": "Jane", "email": "jane@example.com" },
      "target_id": null,
      "created_at": "2026-03-29T04:00:00Z",
      "expires_at": null,
      "resolved_at": null,
      "resolved_by": null
    }
  ],
  "meta": { "limit": 25, "has_more": false, "next_cursor": null, "prev_cursor": null }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`